{% extends 'base.html' %}

{% block head %}
<title>Posts</title>
{% endblock %}

{% block body %}
<br>
<div>
    <h1 style="display:inline">Aisha's Posts</h1>
    <a style="display:inline" class="btn btn-success float-right" href="/posts/new" >+ New Post</a>
</div>
    <hr>

    {% for post in posts %}
        <h2>{{ post.title }}</h2>
        {% if post.author %}
            <small> Written by {{ post.author }} on {{ post.date_posted }}</small>
        {% else %}
            <small> Written by Unknown on {{ post.date_posted }}</small>
        {% endif %}
        <br>
        <br>
        <p style="white-space:pre-wrap">{{ post.content }}</p>
        <br>
        <a class="btn btn-danger" href='/posts/delete/{{post.id}}'>Delete</a>
        <a class="btn btn-primary" href='/posts/edit/{{post.id}}'>Edit</a>
        <br>
        <hr>
        <br>
    {% endfor%}

{% endblock %}